Author Topic: numbered layers?  (Read 3044 times)

0 Members and 1 Guest are viewing this topic.

Bethrine

  • Guest
numbered layers?
« on: May 15, 2015, 05:09:52 PM »
Why do people number their layers?  :?

danallen

  • Guest
Re: numbered layers?
« Reply #1 on: May 15, 2015, 05:19:49 PM »
for details we use numbered layers that correspond to pen weights
001
002
003

also A-TEXT, A-DIM, etc for notes
for plans we use a variation on AIA layer names for A-WALL-FULL, etc.

RGUS

  • Newt
  • Posts: 106
Re: numbered layers?
« Reply #2 on: May 15, 2015, 05:45:26 PM »
Because they never learnt their alphabet???

Jeff_M

  • King Gator
  • Posts: 4096
  • C3D user & customizer
Re: numbered layers?
« Reply #3 on: May 15, 2015, 05:50:08 PM »
Why do people number their layers?
Not sure why these days, but way back when.....I first started with CAD,c. 1984, we were limited to 8 characters for layer names. The standard, from who knows where, was to use numbers and reference those to some sort of Excel master list to decipher them. The small office I was in decided to sort of use that, but it was in line with what dan allen posted, the number of the layer reflected the number of the pen to plot with (we had pen plotters, with a total of 8 pens). Luckily, we've advanced a tad bit from there.  :2funny:

danallen

  • Guest
Re: numbered layers?
« Reply #4 on: May 15, 2015, 05:51:59 PM »
Luckily, we've advanced a tad bit from there.  :2funny:

you wound me sir...

(I consider it an advancement when our people draft with 4 line weights instead of 8, and the drawings actually read correctly)

Bethrine

  • Guest
Re: numbered layers?
« Reply #5 on: May 15, 2015, 06:31:41 PM »
for details we use numbered layers that correspond to pen weights
001
002
003

also A-TEXT, A-DIM, etc for notes
for plans we use a variation on AIA layer names for A-WALL-FULL, etc.

That makes sense. I am using P for parts, H for hose, D for dimensions and D-TXT for text. Older drawings here are numbered layers so before I made a mess, I wanted to know why. They are numbered 1 through like 48 though, consecutively. We had pen weights, that file is no longer found by AutoCAD here and no one in my office is using it.

<edit> Some drawings have a lot of unreadable yellow.<edit>

Bethrine

  • Guest
Re: numbered layers?
« Reply #6 on: May 15, 2015, 06:33:17 PM »
Luckily, we've advanced a tad bit from there.  :2funny:

you wound me sir...

(I consider it an advancement when our people draft with 4 line weights instead of 8, and the drawings actually read correctly)

When I went looking for standards, that is the sort of thing I was looking for. Modern drawings just don't look as tidy. imo

Bethrine

  • Guest
Re: numbered layers?
« Reply #7 on: May 15, 2015, 06:35:47 PM »
Why do people number their layers?
Not sure why these days, but way back when.....I first started with CAD,c. 1984, we were limited to 8 characters for layer names. The standard, from who knows where, was to use numbers and reference those to some sort of Excel master list to decipher them. The small office I was in decided to sort of use that, but it was in line with what dan allen posted, the number of the layer reflected the number of the pen to plot with (we had pen plotters, with a total of 8 pens). Luckily, we've advanced a tad bit from there.  :2funny:

8 characters? Yuck!  :sick:  :no:

danallen

  • Guest
Re: numbered layers?
« Reply #8 on: May 15, 2015, 07:05:55 PM »
For drafting details, I also created #'d lisps that either draw a line in the #'d layer, or change selected objects to that layer. Of course you could use any layer name, but it keeps things simple. (Yeah there are more than 4 weights, I just never use 5 & 6)

Code: [Select]
(defun c:1 (/ p1) (XYZ_laycmnd "001") (princ))
(defun c:2 (/ p1) (XYZ_laycmnd "002") (princ))
(defun c:3 (/ p1) (XYZ_laycmnd "003") (princ))
(defun c:4 (/ p1) (XYZ_laycmnd "004") (princ))
(defun c:5 (/ p1) (XYZ_laycmnd "005") (princ))
(defun c:6 (/ p1) (XYZ_laycmnd "006") (princ))
(defun c:0 (/ p1) (XYZ_laycmnd "0")   (princ))

;;; either change current selection to current layer or start drawing line on current layer
(defun XYZ_laycmnd ( lyr / ss1 p1 idx)
  (if (and (tblsearch "LAYER" lyr)
           (setq ss1 (ssget "_I"))
      )
    ;; if selection, change to layer
    (repeat (setq idx (sslength ss1))
      (vla-put-layer
        (vlax-ename->vla-object (ssname ss1 (setq idx (1- idx))))
        lyr
      )
    )
    ;; if no selection, start drawing line on layer
    (progn
      (command "layer" "set" lyr "on" lyr "")
      (if (setq p1 (getpoint "LINE From point: "))
        (command "line" p1)
      ) ;if
    ) ;progn
  ) ;if
)

Bethrine

  • Guest
Re: numbered layers?
« Reply #9 on: May 15, 2015, 07:28:02 PM »
For drafting details, I also created #'d lisps ...

Thank you but I don't know much lisp. I think it's time I started really learning it though. I'll try to set some time aside.

lamarn

  • Swamp Rat
  • Posts: 636
Re: numbered layers?
« Reply #10 on: May 18, 2015, 03:25:29 AM »
Hi Dan Allen

Great functional routine. Thanks for sharing.
I work similar with layers 1 to 7, 252, 253, 254 like you.
It would be even better if it would start with a check - make routine for these layers.
Maybe someone has a idea how these can be united in style.

I tried it with this code but the selection part (beauty of your routine) is lost in the proces...

Code: [Select]
(defun C:make001 ()
(prompt "\t* Set : layer 001 : red !")
(setq searchlayer1 (tblsearch "layer" "001"))   
(if (= searchlayer1 nil) (progn (command "-layer" "m" "001" "c" "001" "" "")) (command "-layer" "t" "001" "s" "001"  "c" "red" "" ""))
                                   (command "-layer" "lw" "0.18" "" ""  ) (command "-color" "bylayer")  (prin1) )

Beneith the code in which the selection part will be lost.

Code: [Select]
(defun c:1 (/ p1) (c:make001)  (XYZ_laycmnd "001") (princ))
Design is something you should do with both hands. My 2d hand , my 3d hand ..